// Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
//
// SPDX-License-Identifier: MPL-2.0

import React from 'react';

export function SystemErrorIcon(props: { style: React.CSSProperties }): React.ReactElement {
  return (
    <svg
      aria-hidden="true"
      data-name="Ebene 1"
      xmlns="http://www.w3.org/2000/svg"
      width="24"
      height="24"
      viewBox="0 0 24 24"
      style={props.style}
    >
      <g id="icon-error-system">
        <g>
          <path
            d="M2.5 12.0008C2.5 10.1219 3.0572 8.28572 4.10107 6.72345C5.14495 5.16119 6.62885 3.94249 8.36475 3.22345C10.1006 2.50442 12.0107 2.31588 13.8535 2.68244C15.6963 3.049 17.3887 3.9554 18.7173 5.284C20.0459 6.6126 20.9508 8.30446 21.3174 10.1473C21.6839 11.9901 21.4959 13.8997 20.7769 15.6356C20.0578 17.3715 18.8401 18.8554 17.2778 19.8992C15.7156 20.9431 13.8789 21.5008 12 21.5008C9.48126 21.4981 7.06667 20.4967 5.28564 18.7156C3.50462 16.9346 2.50265 14.5195 2.5 12.0008Z"
            fill="#AA0000"
          />
          <g>
            <path
              d="M8.5 11.791C9.32843 11.791 10 11.1194 10 10.291C10 9.46259 9.32843 8.79102 8.5 8.79102C7.67157 8.79102 7 9.46259 7 10.291C7 11.1194 7.67157 11.791 8.5 11.791Z"
              fill="white"
            />
            <path
              d="M15.5 11.791C16.3284 11.791 17 11.1194 17 10.291C17 9.46259 16.3284 8.79102 15.5 8.79102C14.6716 8.79102 14 9.46259 14 10.291C14 11.1194 14.6716 11.791 15.5 11.791Z"
              fill="white"
            />
            <path
              d="M15 16H9C8.73478 16 8.48043 15.8946 8.29289 15.7071C8.10536 15.5196 8 15.2652 8 15C8 14.7348 8.10536 14.4804 8.29289 14.2929C8.48043 14.1054 8.73478 14 9 14H15C15.2652 14 15.5196 14.1054 15.7071 14.2929C15.8946 14.4804 16 14.7348 16 15C16 15.2652 15.8946 15.5196 15.7071 15.7071C15.5196 15.8946 15.2652 16 15 16Z"
              fill="white"
            />
          </g>
        </g>
      </g>
    </svg>
  );
}
